Subject: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 13:31:36 +0200

Eli Zaretskii <[email-masked]> writes:

>> I think it'd make sense to change the exit code here -- it seems more
>> logical, and I think the potential for breakage is small.  (I mean,
>> there may be people that have scripts that rely on Emacs having a zero
>> exit code on SIGINT, but it seems rather unlikely.)
>> 
>> Anybody have any objections to making this change?
>
> What change did you have in mind?  C-g should still raise SIGINT on
> TTY frames, so if that's the change you propose, I'm against it.

I'm proposing that we exit on a non-zero value if and when we decide to
exit after a SIGKILL.